/********************************Ȩ**************************************
**                         ޹˾
**                                     
**                        http://www.mcuhx.com
**
**-------------------------------------------ļϢ----------------------------------------------------------
** ļƣ       Led.v	
** ߣ	    	
** ڣ       2009.5.1		
** 汾ţ         V5.0	
**    	ʵˮƹ	
*******************************************************************************/
module led(
			sysclk,
			reset,
			ledout
			);
	input 			sysclk;                 //ϵͳʱ
	input 			reset;                  //λ
	output 	[3:0] 	ledout;                 //LED
	reg   	[3:0]	ledout;
	reg   	[3:0]	state;                  //ʾ״̬?
	reg 			divclk;                 
	reg 	[25:0]	divclk_cnt;             //ƵĴ
	wire 	led_clk;

/********************************************************************************
** ģƣ
** ϵͳʱӽзƵ
********************************************************************************/

always@(posedge sysclk)            		   //ϵͳʱӷƵ0.5Sʱ
begin
	if(!reset)
		divclk_cnt =25'b0;
   else
		divclk_cnt = divclk_cnt+1'b1;
end
assign led_clk=divclk_cnt[25];

always@(posedge led_clk or negedge reset)   //״̬תˮЧ
begin
	if(reset==0)
    begin
       ledout <= 4'b1111;
       state <= 4'b0001;
    end
	else
	begin
    case(state)
    4'b0001:
		begin
			ledout <= 4'b1110;
			state <= 4'b0010;
		end
    4'b0010:
		begin
			ledout <= 4'b1101;
			state <= 4'b0100;
		end
    4'b0100:
		begin
			ledout <= 4'b1011;
			state <= 4'b1000;
		end
    4'b1000:
		begin
			ledout <= 4'b0111;
			state <= 4'b0001;
		end
    default: 
        begin
            ledout <= 4'b1111;
            state <= 4'b0001;
        end
    endcase
	end
end

endmodule