#Setup.tcl 
# Setup pin setting for EP2C5_EP2C8 main board 
set_global_assignment -name RESERVE_ALL_UNUSED_PINS "AS INPUT TRI-STATED" 
set_global_assignment -name ENABLE_INIT_DONE_OUTPUT OFF 
set_location_assignment PIN_23 -to clk                                
set_location_assignment PIN_56 -to reset               


#led
set_location_assignment PIN_6 -to led\[0\] 
set_location_assignment PIN_5 -to led\[1\]
set_location_assignment PIN_3 -to led\[2\] 
set_location_assignment PIN_4 -to led\[3\]

#key
set_location_assignment PIN_103 -to key\[0\] 
set_location_assignment PIN_104 -to key\[1\] 
set_location_assignment PIN_101 -to key\[2\] 
set_location_assignment PIN_102 -to key\[3\] 

#VGA           
set_location_assignment PIN_89 -to HS                
set_location_assignment PIN_90 -to VS    
set_location_assignment PIN_107 -to rgb\[0\]
set_location_assignment PIN_106 -to rgb\[1\]      
set_location_assignment PIN_105 -to rgb\[2\]


#FLASH
set_location_assignment PIN_201 -to FLASH_CE
set_location_assignment PIN_168 -to FLASH_OE
set_location_assignment PIN_165 -to FLASH_WE


set_location_assignment PIN_181 -to FLASH_ADDR\[0\]
set_location_assignment PIN_193 -to FLASH_ADDR\[1\]
set_location_assignment PIN_192 -to FLASH_ADDR\[2\]
set_location_assignment PIN_191 -to FLASH_ADDR\[3\]
set_location_assignment PIN_189 -to FLASH_ADDR\[4\]
set_location_assignment PIN_188 -to FLASH_ADDR\[5\]
set_location_assignment PIN_187 -to FLASH_ADDR\[6\]
set_location_assignment PIN_185 -to FLASH_ADDR\[7\]
set_location_assignment PIN_197 -to FLASH_ADDR\[8\]
set_location_assignment PIN_195 -to FLASH_ADDR\[9\]
set_location_assignment PIN_199 -to FLASH_ADDR\[10\]
set_location_assignment PIN_198 -to FLASH_ADDR\[11\]
set_location_assignment PIN_200 -to FLASH_ADDR\[12\]
set_location_assignment PIN_205 -to FLASH_ADDR\[13\]
set_location_assignment PIN_203 -to FLASH_ADDR\[14\]
set_location_assignment PIN_207 -to FLASH_ADDR\[15\]
set_location_assignment PIN_206 -to FLASH_ADDR\[16\]
set_location_assignment PIN_208 -to FLASH_ADDR\[17\]
set_location_assignment PIN_14 -to FLASH_ADDR\[18\]
set_location_assignment PIN_13 -to FLASH_ADDR\[19\]
set_location_assignment PIN_12 -to FLASH_ADDR\[20\]
set_location_assignment PIN_11 -to FLASH_ADDR\[21\]
set_location_assignment PIN_10 -to FLASH_ADDR\[22\]

set_location_assignment PIN_180 -to FLASH_DQ\[0\]
set_location_assignment PIN_179 -to FLASH_DQ\[1\]
set_location_assignment PIN_176 -to FLASH_DQ\[2\]
set_location_assignment PIN_175 -to FLASH_DQ\[3\]
set_location_assignment PIN_173 -to FLASH_DQ\[4\]
set_location_assignment PIN_171 -to FLASH_DQ\[5\]
set_location_assignment PIN_170 -to FLASH_DQ\[6\]
set_location_assignment PIN_169 -to FLASH_DQ\[7\]


#SDRAM
set_location_assignment PIN_31 -to sd_data\[0\] 
set_location_assignment PIN_30 -to sd_data\[1\]
set_location_assignment PIN_33 -to sd_data\[2\] 
set_location_assignment PIN_35 -to sd_data\[3\]
set_location_assignment PIN_34 -to sd_data\[4\] 
set_location_assignment PIN_37 -to sd_data\[5\]
set_location_assignment PIN_39 -to sd_data\[6\] 
set_location_assignment PIN_41 -to sd_data\[7\]
set_location_assignment PIN_77 -to sd_data\[8\] 
set_location_assignment PIN_60 -to sd_data\[9\]
set_location_assignment PIN_59 -to sd_data\[10\] 
set_location_assignment PIN_58 -to sd_data\[11\]
set_location_assignment PIN_57 -to sd_data\[12\] 
set_location_assignment PIN_45 -to sd_data\[13\]
set_location_assignment PIN_48 -to sd_data\[14\] 
set_location_assignment PIN_47 -to sd_data\[15\]

set_location_assignment PIN_82 -to sd_addr\[0\] 
set_location_assignment PIN_86 -to sd_addr\[1\]
set_location_assignment PIN_88 -to sd_addr\[2\] 
set_location_assignment PIN_87 -to sd_addr\[3\]
set_location_assignment PIN_70 -to sd_addr\[4\] 
set_location_assignment PIN_69 -to sd_addr\[5\]
set_location_assignment PIN_68 -to sd_addr\[6\] 
set_location_assignment PIN_67 -to sd_addr\[7\]
set_location_assignment PIN_72 -to sd_addr\[8\] 
set_location_assignment PIN_75 -to sd_addr\[9\]
set_location_assignment PIN_84 -to sd_addr\[10\] 
set_location_assignment PIN_74 -to sd_addr\[11\]

set_location_assignment PIN_81 -to sd_ba\[0\] 
set_location_assignment PIN_80 -to sd_ba\[1\]

set_location_assignment PIN_40 -to sd_dqm\[0\] 
set_location_assignment PIN_61 -to sd_dqm\[1\]

set_location_assignment PIN_76 -to sd_cs
set_location_assignment PIN_46 -to sd_ras
set_location_assignment PIN_43 -to sd_cas
set_location_assignment PIN_44 -to sd_we 
set_location_assignment PIN_63 -to sd_cke
set_location_assignment PIN_64 -to sd_clk



