//Legal Notice: (C)2005 Altera Corporation. All rights reserved.  Your
//use of Altera Corporation's design tools, logic functions and other
//software and tools, and its AMPP partner logic functions, and any
//output files any of the foregoing (including device programming or
//simulation files), and any associated documentation or information are
//expressly subject to the terms and conditions of the Altera Program
//License Subscription Agreement or other applicable license agreement,
//including, without limitation, that your use is for the sole purpose
//of programming logic devices manufactured by Altera and sold by Altera
//or its authorized distributors.  Please refer to the applicable
//agreement for further details.


// turn off bogus verilog processor warnings 
// altera message_off 10034 10035 10036 10037 10230 

// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on
module seg7led_0 (
                   // inputs:
                    address,
                    chipselect,
                    clk,
                    read_n,
                    reset_n,
                    write_n,
                    writedata,

                   // outputs:
                    readdata,
                    seg_com,
                    seg_data
                 )
;

  output  [  7: 0] readdata;
  output  [  3: 0] seg_com;
  output  [  7: 0] seg_data;
  input   [  1: 0] address;
  input            chipselect;
  input            clk;
  input            read_n;
  input            reset_n;
  input            write_n;
  input   [  7: 0] writedata;

  wire    [  7: 0] readdata;
  wire    [  3: 0] seg_com;
  wire    [  7: 0] seg_data;
  seg7led the_seg7led
    (
      .address    (address),
      .chipselect (chipselect),
      .clk        (clk),
      .read_n     (read_n),
      .readdata   (readdata),
      .reset_n    (reset_n),
      .seg_com    (seg_com),
      .seg_data   (seg_data),
      .write_n    (write_n),
      .writedata  (writedata)
    );


endmodule

