/*: DAתԣAͨ1/4REF0.625VBͨ1/2REF=1.25V,
 *           Cͨ3/4REF=1.875V,DͨREG=2.5V
 */

#include "avalon_TLC5620.h"
#include "system.h"
#include <stdio.h>

int main(void)
{
 printf("Test information from the TLC5620 Core test program.\n");

  //Initialize TLC5620clk of TLC5620 = system clock /(2*clock_divider)= 48 / 240*2 = 100k Hz 
 avalon_tlc5620_init(AVALON_TLC5620_0_BASE, 240, 0x0);  
 printf("\nPlease measure CLK pin using Logic Analyzer or Ondoscope,it should be 100kHz.\n");
 
 avalon_tlc5620_change_data(AVALON_TLC5620_0_BASE , 0x040);
 printf("\nPlease measure DACA pin using universal meter,it should be REF/4 voltage.\n");
 
 avalon_tlc5620_change_data(AVALON_TLC5620_0_BASE, 0x280);
  printf("\nPlease measure DACB pin using universal meter,it should be REF/2 voltage.\n");
  
 avalon_tlc5620_change_data(AVALON_TLC5620_0_BASE , 0x4C0);
 printf("\nPlease measure DACC pin using universal meter,it should be REF*3/4 voltage.\n");
 
 avalon_tlc5620_change_data(AVALON_TLC5620_0_BASE, 0x6FF);
 printf("\nPlease measure DACD pin using universal meter,it should equal the REF voltage.\n");
    
return 0;
}

// end of file
