//Legal Notice: (C)2005 Altera Corporation. All rights reserved.  Your
//use of Altera Corporation's design tools, logic functions and other
//software and tools, and its AMPP partner logic functions, and any
//output files any of the foregoing (including device programming or
//simulation files), and any associated documentation or information are
//expressly subject to the terms and conditions of the Altera Program
//License Subscription Agreement or other applicable license agreement,
//including, without limitation, that your use is for the sole purpose
//of programming logic devices manufactured by Altera and sold by Altera
//or its authorized distributors.  Please refer to the applicable
//agreement for further details.


// turn off bogus verilog processor warnings 
// altera message_off 10034 10035 10036 10037 10230 

// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on
module vga_controller_stream_0 (
                                 // inputs:
                                  address,
                                  clk,
                                  cs,
                                  fifo_data,
                                  reset,
                                  write,

                                 // outputs:
                                  blank,
                                  endofpacket,
                                  hsync,
                                  readyfordata,
                                  rgb,
                                  sync,
                                  vsync
                               )
;

  output           blank;
  output           endofpacket;
  output           hsync;
  output           readyfordata;
  output  [  2: 0] rgb;
  output           sync;
  output           vsync;
  input            address;
  input            clk;
  input            cs;
  input   [  7: 0] fifo_data;
  input            reset;
  input            write;

  wire             blank;
  wire             endofpacket;
  wire             hsync;
  wire             readyfordata;
  wire    [  2: 0] rgb;
  wire             sync;
  wire             vsync;
  vga_controller_stream the_vga_controller_stream
    (
      .address      (address),
      .blank        (blank),
      .clk          (clk),
      .cs           (cs),
      .endofpacket  (endofpacket),
      .fifo_data    (fifo_data),
      .hsync        (hsync),
      .readyfordata (readyfordata),
      .reset        (reset),
      .rgb          (rgb),
      .sync         (sync),
      .vsync        (vsync),
      .write        (write)
    );


endmodule

