-- Copyright (C) 1991-2007 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 7.2 Build 151 09/26/2007 SJ Full Version"

-- DATE "08/13/2009 13:41:05"

-- 
-- Device: Altera EP2C20Q240C8 Package PQFP240
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY IEEE, cycloneii;
USE IEEE.std_logic_1164.all;
USE cycloneii.cycloneii_components.all;

ENTITY 	Block1 IS
    PORT (
	\78ledcom\ : OUT std_logic_vector(3 DOWNTO 0);
	clk : IN std_logic;
	\78leddata\ : OUT std_logic_vector(7 DOWNTO 0)
	);
END Block1;

ARCHITECTURE structure OF Block1 IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL \ww_78ledcom\ : std_logic_vector(3 DOWNTO 0);
SIGNAL ww_clk : std_logic;
SIGNAL \ww_78leddata\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \clk~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \inst|count[2]~181_combout\ : std_logic;
SIGNAL \inst|count[4]~185_combout\ : std_logic;
SIGNAL \inst|count[6]~189_combout\ : std_logic;
SIGNAL \inst|count[13]~203_combout\ : std_logic;
SIGNAL \inst|count[15]~207_combout\ : std_logic;
SIGNAL \inst|count[16]~209_combout\ : std_logic;
SIGNAL \inst|count[0]~215_combout\ : std_logic;
SIGNAL \clk~combout\ : std_logic;
SIGNAL \clk~clkctrl_outclk\ : std_logic;
SIGNAL \inst|count[1]~179_combout\ : std_logic;
SIGNAL \inst|count[1]~180\ : std_logic;
SIGNAL \inst|count[2]~182\ : std_logic;
SIGNAL \inst|count[3]~183_combout\ : std_logic;
SIGNAL \inst|count[3]~184\ : std_logic;
SIGNAL \inst|count[4]~186\ : std_logic;
SIGNAL \inst|count[5]~187_combout\ : std_logic;
SIGNAL \inst|count[5]~188\ : std_logic;
SIGNAL \inst|count[6]~190\ : std_logic;
SIGNAL \inst|count[7]~191_combout\ : std_logic;
SIGNAL \inst|count[7]~192\ : std_logic;
SIGNAL \inst|count[8]~193_combout\ : std_logic;
SIGNAL \inst|count[8]~194\ : std_logic;
SIGNAL \inst|count[9]~195_combout\ : std_logic;
SIGNAL \inst|count[9]~196\ : std_logic;
SIGNAL \inst|count[10]~197_combout\ : std_logic;
SIGNAL \inst|count[10]~198\ : std_logic;
SIGNAL \inst|count[11]~199_combout\ : std_logic;
SIGNAL \inst|count[11]~200\ : std_logic;
SIGNAL \inst|count[12]~201_combout\ : std_logic;
SIGNAL \inst|count[12]~202\ : std_logic;
SIGNAL \inst|count[13]~204\ : std_logic;
SIGNAL \inst|count[14]~205_combout\ : std_logic;
SIGNAL \inst|count[14]~206\ : std_logic;
SIGNAL \inst|count[15]~208\ : std_logic;
SIGNAL \inst|count[16]~210\ : std_logic;
SIGNAL \inst|count[17]~211_combout\ : std_logic;
SIGNAL \inst|count[17]~212\ : std_logic;
SIGNAL \inst|count[18]~213_combout\ : std_logic;
SIGNAL \inst|Decoder0~33_combout\ : std_logic;
SIGNAL \inst|Decoder0~34_combout\ : std_logic;
SIGNAL \inst|Decoder0~35_combout\ : std_logic;
SIGNAL \inst|Decoder0~36_combout\ : std_logic;
SIGNAL \inst|count\ : std_logic_vector(29 DOWNTO 0);
SIGNAL \inst|ALT_INV_Decoder0~33_combout\ : std_logic;
SIGNAL \inst|ALT_INV_Decoder0~34_combout\ : std_logic;
SIGNAL \inst|ALT_INV_Decoder0~35_combout\ : std_logic;

BEGIN

\78ledcom\ <= \ww_78ledcom\;
ww_clk <= clk;
\78leddata\ <= \ww_78leddata\;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\clk~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \clk~combout\);
\inst|ALT_INV_Decoder0~33_combout\ <= NOT \inst|Decoder0~33_combout\;
\inst|ALT_INV_Decoder0~34_combout\ <= NOT \inst|Decoder0~34_combout\;
\inst|ALT_INV_Decoder0~35_combout\ <= NOT \inst|Decoder0~35_combout\;

\inst|count[16]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[16]~209_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(16));

\inst|count[15]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[15]~207_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(15));

\inst|count[13]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[13]~203_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(13));

\inst|count[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[6]~189_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(6));

\inst|count[4]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[4]~185_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(4));

\inst|count[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[2]~181_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(2));

\inst|count[2]~181\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[2]~181_combout\ = \inst|count\(2) & !\inst|count[1]~180\ # !\inst|count\(2) & (\inst|count[1]~180\ # GND)
-- \inst|count[2]~182\ = CARRY(!\inst|count[1]~180\ # !\inst|count\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|count\(2),
	datad => VCC,
	cin => \inst|count[1]~180\,
	combout => \inst|count[2]~181_combout\,
	cout => \inst|count[2]~182\);

\inst|count[4]~185\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[4]~185_combout\ = \inst|count\(4) & !\inst|count[3]~184\ # !\inst|count\(4) & (\inst|count[3]~184\ # GND)
-- \inst|count[4]~186\ = CARRY(!\inst|count[3]~184\ # !\inst|count\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|count\(4),
	datad => VCC,
	cin => \inst|count[3]~184\,
	combout => \inst|count[4]~185_combout\,
	cout => \inst|count[4]~186\);

\inst|count[6]~189\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[6]~189_combout\ = \inst|count\(6) & !\inst|count[5]~188\ # !\inst|count\(6) & (\inst|count[5]~188\ # GND)
-- \inst|count[6]~190\ = CARRY(!\inst|count[5]~188\ # !\inst|count\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|count\(6),
	datad => VCC,
	cin => \inst|count[5]~188\,
	combout => \inst|count[6]~189_combout\,
	cout => \inst|count[6]~190\);

\inst|count[13]~203\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[13]~203_combout\ = \inst|count\(13) & (\inst|count[12]~202\ $ GND) # !\inst|count\(13) & !\inst|count[12]~202\ & VCC
-- \inst|count[13]~204\ = CARRY(\inst|count\(13) & !\inst|count[12]~202\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|count\(13),
	datad => VCC,
	cin => \inst|count[12]~202\,
	combout => \inst|count[13]~203_combout\,
	cout => \inst|count[13]~204\);

\inst|count[15]~207\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[15]~207_combout\ = \inst|count\(15) & (\inst|count[14]~206\ $ GND) # !\inst|count\(15) & !\inst|count[14]~206\ & VCC
-- \inst|count[15]~208\ = CARRY(\inst|count\(15) & !\inst|count[14]~206\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|count\(15),
	datad => VCC,
	cin => \inst|count[14]~206\,
	combout => \inst|count[15]~207_combout\,
	cout => \inst|count[15]~208\);

\inst|count[16]~209\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[16]~209_combout\ = \inst|count\(16) & !\inst|count[15]~208\ # !\inst|count\(16) & (\inst|count[15]~208\ # GND)
-- \inst|count[16]~210\ = CARRY(!\inst|count[15]~208\ # !\inst|count\(16))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|count\(16),
	datad => VCC,
	cin => \inst|count[15]~208\,
	combout => \inst|count[16]~209_combout\,
	cout => \inst|count[16]~210\);

\inst|count[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[0]~215_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(0));

\inst|count[0]~215\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[0]~215_combout\ = !\inst|count\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|count\(0),
	combout => \inst|count[0]~215_combout\);

\clk~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_clk,
	combout => \clk~combout\);

\clk~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \clk~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clk~clkctrl_outclk\);

\inst|count[1]~179\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[1]~179_combout\ = \inst|count\(0) & (\inst|count\(1) $ VCC) # !\inst|count\(0) & \inst|count\(1) & VCC
-- \inst|count[1]~180\ = CARRY(\inst|count\(0) & \inst|count\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|count\(0),
	datab => \inst|count\(1),
	datad => VCC,
	combout => \inst|count[1]~179_combout\,
	cout => \inst|count[1]~180\);

\inst|count[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[1]~179_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(1));

\inst|count[3]~183\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[3]~183_combout\ = \inst|count\(3) & (\inst|count[2]~182\ $ GND) # !\inst|count\(3) & !\inst|count[2]~182\ & VCC
-- \inst|count[3]~184\ = CARRY(\inst|count\(3) & !\inst|count[2]~182\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(3),
	datad => VCC,
	cin => \inst|count[2]~182\,
	combout => \inst|count[3]~183_combout\,
	cout => \inst|count[3]~184\);

\inst|count[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[3]~183_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(3));

\inst|count[5]~187\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[5]~187_combout\ = \inst|count\(5) & (\inst|count[4]~186\ $ GND) # !\inst|count\(5) & !\inst|count[4]~186\ & VCC
-- \inst|count[5]~188\ = CARRY(\inst|count\(5) & !\inst|count[4]~186\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(5),
	datad => VCC,
	cin => \inst|count[4]~186\,
	combout => \inst|count[5]~187_combout\,
	cout => \inst|count[5]~188\);

\inst|count[5]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[5]~187_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(5));

\inst|count[7]~191\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[7]~191_combout\ = \inst|count\(7) & (\inst|count[6]~190\ $ GND) # !\inst|count\(7) & !\inst|count[6]~190\ & VCC
-- \inst|count[7]~192\ = CARRY(\inst|count\(7) & !\inst|count[6]~190\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(7),
	datad => VCC,
	cin => \inst|count[6]~190\,
	combout => \inst|count[7]~191_combout\,
	cout => \inst|count[7]~192\);

\inst|count[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[7]~191_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(7));

\inst|count[8]~193\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[8]~193_combout\ = \inst|count\(8) & !\inst|count[7]~192\ # !\inst|count\(8) & (\inst|count[7]~192\ # GND)
-- \inst|count[8]~194\ = CARRY(!\inst|count[7]~192\ # !\inst|count\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(8),
	datad => VCC,
	cin => \inst|count[7]~192\,
	combout => \inst|count[8]~193_combout\,
	cout => \inst|count[8]~194\);

\inst|count[8]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[8]~193_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(8));

\inst|count[9]~195\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[9]~195_combout\ = \inst|count\(9) & (\inst|count[8]~194\ $ GND) # !\inst|count\(9) & !\inst|count[8]~194\ & VCC
-- \inst|count[9]~196\ = CARRY(\inst|count\(9) & !\inst|count[8]~194\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(9),
	datad => VCC,
	cin => \inst|count[8]~194\,
	combout => \inst|count[9]~195_combout\,
	cout => \inst|count[9]~196\);

\inst|count[9]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[9]~195_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(9));

\inst|count[10]~197\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[10]~197_combout\ = \inst|count\(10) & !\inst|count[9]~196\ # !\inst|count\(10) & (\inst|count[9]~196\ # GND)
-- \inst|count[10]~198\ = CARRY(!\inst|count[9]~196\ # !\inst|count\(10))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(10),
	datad => VCC,
	cin => \inst|count[9]~196\,
	combout => \inst|count[10]~197_combout\,
	cout => \inst|count[10]~198\);

\inst|count[10]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[10]~197_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(10));

\inst|count[11]~199\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[11]~199_combout\ = \inst|count\(11) & (\inst|count[10]~198\ $ GND) # !\inst|count\(11) & !\inst|count[10]~198\ & VCC
-- \inst|count[11]~200\ = CARRY(\inst|count\(11) & !\inst|count[10]~198\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(11),
	datad => VCC,
	cin => \inst|count[10]~198\,
	combout => \inst|count[11]~199_combout\,
	cout => \inst|count[11]~200\);

\inst|count[11]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[11]~199_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(11));

\inst|count[12]~201\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[12]~201_combout\ = \inst|count\(12) & !\inst|count[11]~200\ # !\inst|count\(12) & (\inst|count[11]~200\ # GND)
-- \inst|count[12]~202\ = CARRY(!\inst|count[11]~200\ # !\inst|count\(12))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(12),
	datad => VCC,
	cin => \inst|count[11]~200\,
	combout => \inst|count[12]~201_combout\,
	cout => \inst|count[12]~202\);

\inst|count[12]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[12]~201_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(12));

\inst|count[14]~205\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[14]~205_combout\ = \inst|count\(14) & !\inst|count[13]~204\ # !\inst|count\(14) & (\inst|count[13]~204\ # GND)
-- \inst|count[14]~206\ = CARRY(!\inst|count[13]~204\ # !\inst|count\(14))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(14),
	datad => VCC,
	cin => \inst|count[13]~204\,
	combout => \inst|count[14]~205_combout\,
	cout => \inst|count[14]~206\);

\inst|count[14]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[14]~205_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(14));

\inst|count[17]~211\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[17]~211_combout\ = \inst|count\(17) & (\inst|count[16]~210\ $ GND) # !\inst|count\(17) & !\inst|count[16]~210\ & VCC
-- \inst|count[17]~212\ = CARRY(\inst|count\(17) & !\inst|count[16]~210\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(17),
	datad => VCC,
	cin => \inst|count[16]~210\,
	combout => \inst|count[17]~211_combout\,
	cout => \inst|count[17]~212\);

\inst|count[17]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[17]~211_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(17));

\inst|count[18]~213\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|count[18]~213_combout\ = \inst|count\(18) $ \inst|count[17]~212\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|count\(18),
	cin => \inst|count[17]~212\,
	combout => \inst|count[18]~213_combout\);

\inst|count[18]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \inst|count[18]~213_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|count\(18));

\inst|Decoder0~33\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Decoder0~33_combout\ = \inst|count\(17) & \inst|count\(18)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(17),
	datac => \inst|count\(18),
	combout => \inst|Decoder0~33_combout\);

\inst|Decoder0~34\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Decoder0~34_combout\ = !\inst|count\(17) & \inst|count\(18)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(17),
	datac => \inst|count\(18),
	combout => \inst|Decoder0~34_combout\);

\inst|Decoder0~35\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Decoder0~35_combout\ = \inst|count\(17) & !\inst|count\(18)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(17),
	datac => \inst|count\(18),
	combout => \inst|Decoder0~35_combout\);

\inst|Decoder0~36\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Decoder0~36_combout\ = \inst|count\(17) # \inst|count\(18)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|count\(17),
	datac => \inst|count\(18),
	combout => \inst|Decoder0~36_combout\);

\78ledcom[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|ALT_INV_Decoder0~33_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => \ww_78ledcom\(3));

\78ledcom[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|ALT_INV_Decoder0~34_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => \ww_78ledcom\(2));

\78ledcom[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|ALT_INV_Decoder0~35_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => \ww_78ledcom\(1));

\78ledcom[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|Decoder0~36_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => \ww_78ledcom\(0));

\78leddata[7]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => \ww_78leddata\(7));

\78leddata[6]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|count\(18),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => \ww_78leddata\(6));

\78leddata[5]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|Decoder0~36_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => \ww_78leddata\(5));

\78leddata[4]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|count\(18),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => \ww_78leddata\(4));

\78leddata[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|count\(18),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => \ww_78leddata\(3));

\78leddata[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|Decoder0~35_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => \ww_78leddata\(2));

\78leddata[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => GND,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => \ww_78leddata\(1));

\78leddata[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|Decoder0~34_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => \ww_78leddata\(0));
END structure;


