/********************************Ȩ**************************************
**                         ɶ޹˾
**                                     
**                        http://www.mcuhx.com
**
**-------------------------------------------ļϢ----------------------------------------------------------
** ļƣ       segmain.v	
** ߣ	        Т   
** ڣ       2009.5.1		
** 汾ţ         V5.0	
**    	LEDʾ	
** 
*******************************************************************************/
module segmain(clk,reset_n,datain,seg_data,seg_com);	//ģʾ
input clk;					//ʱź
input reset_n;					//λź

input [15:0] datain;				//
output [7:0]seg_data;				//ܶ		
output [3:0]seg_com;				//λѡ)

reg [3:0]seg_com;				//λĴ
reg [7:0]seg_data;				//ܶĴ
reg [3:0]bcd_led;				//ѡĴ				
reg [36:0]count;				//Ĵ

always @(posedge clk)
begin
	if(!reset_n)
		count<=0;
	 else
	    count=count+1;
end

always @(count[14:13] or datain)
begin
	case(count[14:13])
		2'b00:
		    begin
		     bcd_led = datain[3:0];	//λֵ
		     seg_com  = 4'b1110;	//ɨλ
		    end
		2'b01:
		    begin
		     bcd_led=datain[7:4];	//ʮλֵ
		     seg_com=4'b1101;		//ɨʮλ
		    end
		2'b10:
		    begin
		     bcd_led=datain[11:8];	//λֵ
		     seg_com=4'b1011;		//ɨλ
		    end
		2'b11:
		    begin
		     bcd_led=datain[15:12];	//ǧλֵ
		     seg_com=4'b0111;		//ɨǧλ
		    end
	endcase

end

always @(seg_com or bcd_led)		//ʾ
begin
	case(bcd_led)
		4'h0:seg_data=8'hc0;// ʾ0
		4'h1:seg_data=8'hf9;// ʾ1
		4'h2:seg_data=8'ha4;// ʾ2
		4'h3:seg_data=8'hb0;// ʾ3
		4'h4:seg_data=8'h99;// ʾ4
		4'h5:seg_data=8'h92;// ʾ5
		4'h6:seg_data=8'h82;// ʾ6
		4'h7:seg_data=8'hf8;// ʾ7
		4'h8:seg_data=8'h80;// ʾ8
		4'h9:seg_data=8'h90;// ʾ9
		4'ha:seg_data=8'h88;// ʾA
		4'hb:seg_data=8'h83;// ʾb
		4'hc:seg_data=8'hc6;// ʾc
		4'hd:seg_data=8'ha1;// ʾD
		4'he:seg_data=8'h86;// ʾE
		4'hf:seg_data=8'h8e;// ʾF
	 default:seg_data=8'hc0;    //ʾ0
  endcase
end

endmodule


/**************************************************************
-- DESCRIPTION   :   BIN to seven segments converter
--                   segment encoding
--                        a
--                      +---+ 
--                    f |   | b
--                      +---+  <- g
--                    e |   | c
--                      +---+
--                        d
--                  Outputs (data_out) active         : low
**************************************************************/
