
#include "alt_types.h"
#include "distable.h"
#include "lcd_tri_12864.h"
#include "lcd_tri_12864_regs.h"
//#include "ziku.h"
#include "system.h"
#include "altera_avalon_pio_regs.h"
#include <string.h>
#include <stdio.h>
#include <unistd.h>
//#define LCD_CS *( unsigned char *)LCD12864_CS_BASE
alt_u8  busy;

LCD_CS(unsigned char data)
{
 IOWR_ALTERA_AVALON_PIO_DATA(LCD12864_CS_BASE, data);
}

unsigned char LcdChkBusy(unsigned int base)
 {
    alt_u32 i = 1000000;
   while (IORD_LCD_STATUS(base) & 0x80)//_8DIRECT(LCD_12864_0_BASE,0x1) & 0x80)
    if (--i == 0)
    {
      busy=1;
      return 1;
    } 
    busy=0;
    return 0;
  }
 
static void lcd_write_cmd(unsigned int base, unsigned char command)
 {
  //if(LcdChkBusy(base))
   if(busy)
   return;
   usleep(20);
   IOWR_LCD_COMMAND(base,command);
 }
 
 static void lcd_write_data(unsigned int base, unsigned char data)
 { 
// if(LcdChkBusy(base))
   if(busy)
   return;
   usleep(20);
 IOWR_LCD_DATA(base, data);
 }
 

 
//*************12864LCD***********
 
 
 
 void Lcd12864Init(unsigned int base)//ʼ.
 {
  LCD_CS(0x3);
  LcdChkBusy(base);
  lcd_write_cmd(base,0xc0);
  usleep(20);
  lcd_write_cmd(base,0x3f);
  usleep(200);
  LCD_CS(0);
 }
 
 /*ֿLCD
 void Lcd12864Clear(unsigned int base)//
 {
  lcd_write_cmd(base,0x01);
  usleep(2000);
  }
 */
 
 
  void Lcd12864Clear(unsigned int base)//
 {
  unsigned char PageTmp,ColumnTmp,CmdTmp;
  LCD_CS(0x3);
   for(PageTmp=0;PageTmp<8;PageTmp++)
    {
    CmdTmp=PageTmp|0xb8;   //ҳַ
      lcd_write_cmd(base,CmdTmp);  
      lcd_write_cmd(base,0x40);
     for(ColumnTmp=0x0;ColumnTmp<0x40;ColumnTmp++)//64
         {
        lcd_write_data(base,0);
      }    
   }
  }
 
 
void DisChar(unsigned int base,unsigned char PageAddrP,unsigned char RowAddrP,
unsigned int DisDatP,unsigned char cs)
 {
   unsigned char cc,PageTmp,RowTmp;
   unsigned int  TabTmp;
   LCD_CS(cs);
   PageTmp=PageAddrP|0xb8;//0xb8ΪҳַΪ0xc0еַУܹ64С
   RowTmp =RowAddrP+0x40;
   TabTmp =DisDatP-0x20;
   TabTmp*=5;
   lcd_write_cmd(base,PageTmp);
   lcd_write_cmd(base,RowTmp);
   for(cc=0;cc<5;cc++)  //д5еַڸַռ5
    { 
       lcd_write_data(base,ziku[TabTmp+cc]);
     }
    
  }
  
void Disstring(unsigned int base,unsigned char *str,unsigned int len, unsigned char PageAddrP,unsigned char RowAddrP,unsigned char cs)
 {
   unsigned char i,OffSetTmp;
   for(i=0;i<len;i++)       //12ַ
    {
       OffSetTmp=i*5;  //һַ5
       DisChar(base,PageAddrP,OffSetTmp+RowAddrP,str[i],cs);
      }
  }
  
  

  
  
   //Dishaizi(PageAddrP:LCDҳ0~7ҳRowAddrP:ʼмӵڼпʼʾDisDatPʾеĵN+1֣
  //CS:1Ϊѡ2Ϊhaizi[]:Ҫʾĺ) 
void Dishaizi1(unsigned int base ,unsigned char PageAddrP,unsigned char RowAddrP,unsigned int DisDatP,
    unsigned char cs  ,unsigned char haizi[])
 {
  LCD_CS(cs);
   unsigned char cc,PageTmp,RowTmp;
   unsigned int  TabTmp;//洢
   PageTmp=PageAddrP|0xb8;//0xb8Ϊҳַָÿ8һҳΪ0xc0еַУܹ64С
   RowTmp =RowAddrP+0x40;//0x40Ϊеַָ
   TabTmp=DisDatP*32;//DisDatPΪǵN+1ѣÿռ32УʾһֺTabTmp+32
   lcd_write_cmd(base,PageTmp);//дҳַ
   lcd_write_cmd(base,RowTmp);//деַ
    for(cc=0;cc<15;cc++)  //һ32УʹģȡV2.1ȡģ
    {    
       lcd_write_data(base,haizi[TabTmp+cc]);  //ȡеĺ
     }
  }
 
void Dishaizi2(unsigned int base ,unsigned char PageAddrP,unsigned char RowAddrP,unsigned int DisDatP,
    unsigned char cs  ,unsigned char haizi[])
 {
  LCD_CS(cs);
   unsigned char cc,PageTmp,RowTmp;
   unsigned int  TabTmp;//洢
   PageTmp=PageAddrP|0xb8;//0xb8Ϊҳַָÿ8һҳΪ0xc0еַУܹ64С
   RowTmp =RowAddrP+0x40;//0x40Ϊеַָ
   TabTmp=DisDatP*32;//DisDatPΪǵN+1ѣÿռ32УʾһֺTabTmp+32
   lcd_write_cmd(base,PageTmp);//дҳַ
   lcd_write_cmd(base,RowTmp);//деַ
    for(cc=16;cc<31;cc++)  //һ32УʹģȡV2.1ȡģ
    {    
       lcd_write_data(base,haizi[TabTmp+cc]);  //ȡеĺ
     }
     // LCD_CS=0;
  }

void Dishaizi(unsigned int base ,unsigned char PageAddrP,unsigned char RowAddrP,unsigned int DisDatP,
    unsigned char cs  ,unsigned char haizi[])
   {
    Dishaizi1(base,PageAddrP  ,RowAddrP,DisDatP,cs,haizi);
    Dishaizi2(base,PageAddrP+1,RowAddrP,DisDatP,cs,haizi);
   }

void Disstring_line(unsigned int base,unsigned char *str,unsigned char len, unsigned char PageAddrP)
 {
   unsigned char i,OffSetTmp;
 //  unsigned int len=strlen(str);
    if(len<12)
     for(i=0;i<len;i++)       
      {
       OffSetTmp=i*5;  //һַ5
       DisChar(base,PageAddrP,OffSetTmp,str[i],1);
      }
     else {   
          for(i=0;i<12;i++)       //
             {
             OffSetTmp=i*5;  //һַ5
             DisChar(base,PageAddrP,OffSetTmp+2,str[i],1);
             }
          for(i=12;i<len;i++)       //Ұ
             {
              OffSetTmp=i*5;  //
              DisChar(base,PageAddrP,OffSetTmp+3,str[i],2);
             }
            }
               
  }







