#Setup.tcl 
# Setup pin setting for EP2C20_Q main board 
set_global_assignment -name RESERVE_ALL_UNUSED_PINS "AS INPUT TRI-STATED" 
set_global_assignment -name ENABLE_INIT_DONE_OUTPUT OFF 
set_location_assignment PIN_91 -to clk                                 
set_location_assignment PIN_92 -to reset

#led
set_location_assignment PIN_216 -to LED\[0\] 
set_location_assignment PIN_6 -to LED\[1\]
set_location_assignment PIN_7 -to LED\[2\] 
set_location_assignment PIN_8 -to LED\[3\]

set_location_assignment PIN_178 -to beep 

#key
set_location_assignment PIN_114 -to key\[0\] 
set_location_assignment PIN_113 -to key\[1\] 
set_location_assignment PIN_111 -to key\[2\] 
set_location_assignment PIN_110 -to key\[3\] 


#seg7led
#78LED
set_location_assignment PIN_161 -to 78ledcom\[0\]
set_location_assignment PIN_159 -to 78ledcom\[1\]
set_location_assignment PIN_164 -to 78ledcom\[2\]
set_location_assignment PIN_162 -to 78ledcom\[3\]
set_location_assignment PIN_166 -to 78ledcom\[4\]
set_location_assignment PIN_165 -to 78ledcom\[5\]
set_location_assignment PIN_168 -to 78ledcom\[6\]
set_location_assignment PIN_167 -to 78ledcom\[7\]

set_location_assignment PIN_156 -to 78leddata\[0\]
set_location_assignment PIN_150 -to 78leddata\[1\]
set_location_assignment PIN_140 -to 78leddata\[2\]
set_location_assignment PIN_141 -to 78leddata\[3\]
set_location_assignment PIN_155 -to 78leddata\[4\]
set_location_assignment PIN_157 -to 78leddata\[5\]
set_location_assignment PIN_139 -to 78leddata\[6\]
set_location_assignment PIN_149 -to 78leddata\[7\]


#PS2
set_location_assignment PIN_125 -to kb_data
set_location_assignment PIN_109 -to kb_clk      

#EEPROM
set_location_assignment PIN_173 -to I2C_SCL
set_location_assignment PIN_174 -to I2C_SDA   

#lcd
set_location_assignment PIN_184 -to lcd12864_cs\[0\]
set_location_assignment PIN_185 -to lcd12864_cs\[1\]
set_location_assignment PIN_187 -to lcd1602_e
set_location_assignment PIN_186 -to lcd12864_e


#RTL8019
set_location_assignment PIN_175 -to rtl8019_cs
set_location_assignment PIN_177 -to RTL8019_INT
set_location_assignment PIN_188 -to RTL8019_RST
#FLASH
set_location_assignment PIN_237 -to FLASH_CE
set_location_assignment PIN_191 -to tri_read_n
set_location_assignment PIN_189 -to tri_wtite_n

#set_location_assignment PIN_208 -to FLASH_RESET
#set_location_assignment PIN_223 -to FLASH_BYTE

set_location_assignment PIN_208 -to FLASH_ADDR\[0\]
set_location_assignment PIN_231 -to FLASH_ADDR\[1\]
set_location_assignment PIN_230 -to FLASH_ADDR\[2\]
set_location_assignment PIN_228 -to FLASH_ADDR\[3\]
set_location_assignment PIN_226 -to FLASH_ADDR\[4\]
set_location_assignment PIN_223 -to FLASH_ADDR\[5\]
set_location_assignment PIN_222 -to FLASH_ADDR\[6\]
set_location_assignment PIN_218 -to FLASH_ADDR\[7\]
set_location_assignment PIN_233 -to FLASH_ADDR\[8\]
set_location_assignment PIN_232 -to FLASH_ADDR\[9\]
set_location_assignment PIN_235 -to FLASH_ADDR\[10\]
set_location_assignment PIN_234 -to FLASH_ADDR\[11\]
set_location_assignment PIN_236 -to FLASH_ADDR\[12\]
set_location_assignment PIN_21 -to FLASH_ADDR\[13\]
set_location_assignment PIN_238 -to FLASH_ADDR\[14\]
set_location_assignment PIN_20 -to FLASH_ADDR\[15\]
set_location_assignment PIN_18 -to FLASH_ADDR\[16\]
set_location_assignment PIN_16 -to FLASH_ADDR\[17\]
set_location_assignment PIN_15 -to FLASH_ADDR\[18\]
set_location_assignment PIN_14 -to FLASH_ADDR\[19\]
set_location_assignment PIN_13 -to FLASH_ADDR\[20\]
set_location_assignment PIN_11 -to FLASH_ADDR\[21\]
set_location_assignment PIN_9 -to FLASH_ADDR\[22\]

set_location_assignment PIN_214 -to FLASH_DQ\[0\]
set_location_assignment PIN_203 -to FLASH_DQ\[1\]
set_location_assignment PIN_200 -to FLASH_DQ\[2\]
set_location_assignment PIN_199 -to FLASH_DQ\[3\]
set_location_assignment PIN_197 -to FLASH_DQ\[4\]
set_location_assignment PIN_195 -to FLASH_DQ\[5\]
set_location_assignment PIN_194 -to FLASH_DQ\[6\]
set_location_assignment PIN_192 -to FLASH_DQ\[7\]


#SDRAM
set_location_assignment PIN_38 -to sd_data\[0\] 
set_location_assignment PIN_37 -to sd_data\[1\]
set_location_assignment PIN_41 -to sd_data\[2\] 
set_location_assignment PIN_39 -to sd_data\[3\]
set_location_assignment PIN_44 -to sd_data\[4\] 
set_location_assignment PIN_42 -to sd_data\[5\]
set_location_assignment PIN_47 -to sd_data\[6\] 
set_location_assignment PIN_46 -to sd_data\[7\]
set_location_assignment PIN_68 -to sd_data\[8\] 
set_location_assignment PIN_67 -to sd_data\[9\]
set_location_assignment PIN_66 -to sd_data\[10\] 
set_location_assignment PIN_65 -to sd_data\[11\]
set_location_assignment PIN_64 -to sd_data\[12\] 
set_location_assignment PIN_56 -to sd_data\[13\]
set_location_assignment PIN_57 -to sd_data\[14\] 
set_location_assignment PIN_58 -to sd_data\[15\]

set_location_assignment PIN_96 -to sd_addr\[0\] 
set_location_assignment PIN_105 -to sd_addr\[1\]
set_location_assignment PIN_100 -to sd_addr\[2\] 
set_location_assignment PIN_106 -to sd_addr\[3\]
set_location_assignment PIN_88 -to sd_addr\[4\] 
set_location_assignment PIN_86 -to sd_addr\[5\]
set_location_assignment PIN_87 -to sd_addr\[6\] 
set_location_assignment PIN_84 -to sd_addr\[7\]
set_location_assignment PIN_80 -to sd_addr\[8\] 
set_location_assignment PIN_79 -to sd_addr\[9\]
set_location_assignment PIN_97 -to sd_addr\[10\] 
set_location_assignment PIN_78 -to sd_addr\[11\]

set_location_assignment PIN_54 -to sd_ba\[0\] 
set_location_assignment PIN_90 -to sd_ba\[1\]

set_location_assignment PIN_50 -to sd_dqm\[0\] 
set_location_assignment PIN_70 -to sd_dqm\[1\]
set_location_assignment PIN_55 -to sd_cs
set_location_assignment PIN_51 -to sd_ras
set_location_assignment PIN_52 -to sd_cas
set_location_assignment PIN_49 -to sd_we 
set_location_assignment PIN_73 -to sd_cke
set_location_assignment PIN_72 -to sd_clk



#rxd
set_location_assignment PIN_170 -to rxd
set_location_assignment PIN_171 -to txd

set_location_assignment PIN_130 -to rxd_usb
set_location_assignment PIN_131 -to txd_usb

#VGA           
set_location_assignment PIN_132 -to VGA_HS                
set_location_assignment PIN_134 -to VGA_VS    
set_location_assignment PIN_135 -to VGA_R
set_location_assignment PIN_136 -to VGA_G      
set_location_assignment PIN_137 -to VGA_B

#ADC_TLC549
set_location_assignment PIN_126 -to ad_clk 
set_location_assignment PIN_128 -to ad_cs
set_location_assignment PIN_127 -to ad_data

#DAC_TLC5620
set_location_assignment PIN_117 -to tlc5620_clk
set_location_assignment PIN_116 -to tlc5620_data
set_location_assignment PIN_118 -to tlc5620_ldac
set_location_assignment PIN_119 -to tlc5620_load

